Subject: Re: [ifmib] RcvAddressTable in If-mib.

From: "Faye Ly" <[email-masked]>
Date: Tue, 09 Oct 2001 10:28:14 -0700

Mike,

That sounds like a good idea.  Will follow up the action items
in the following editing of the RFC's.

-faye

>From: "C. M. Heard" <[email-masked]>
>To: [email-masked]
>CC: [email-masked]
>Subject: Re: [ifmib] RcvAddressTable in If-mib.
>Date: Sun, 7 Oct 2001 09:55:23 -0700 (PDT)
>
>On Fri, 5 Oct 2001, Jassi wrote:
> >
> > I am implementing if-mib(rfc 2863) for my router. We have interfaces
> > like Gbit,Atm and DS3. I am getting a little confused about
> > RcvAddressTable. How is it implimented and what should be the enteries
> > in this. Are there any sample RcvAddressTables available on net.
> > ....which could help me understand it in better way. Please help me in
> > this regard.
>
>RFC 2863 states that
>
>       The media-specific MIB designer MUST specify the applicability of
>       the ifRcvAddressTable.
>
>Thus, you need to look in RFC 2665 to see what to do with the
>ifRcvAddressTable for Gbit Ethernet interfaces, in RFC 2495 for
>DS1/E1 interfaces, in RFC 2496 for DS3/E3 interfaces, in RFC 2558
>for SONET/SDH interfaces, and in RFC 2515 for ATM interfaces.
>
>RFC 2665 does contain explicit instructions on what to do with
>ifRcvAddressTable.
>
>However, ifRcvAddressTable is not mentioned in RFC 2495, RFC 2496,
>RFC 2558, or RFC 2515.  From the description below
>
>             "This table contains an entry for each address (broadcast,
>             multicast, or uni-cast) for which the system will receive
>             packets/frames on a particular interface [ ... ]"
>
>it obviously does not apply to DS1, DS3, or SONET interfaces, since
>these interfaces don't deal with packets.   It's not as clear for
>ATM interfaces, since those interfaces may deal with signalling
>messages;  but I'd say it does not, since ordinary data cells do not
>have any well-defined interface address in them.
>
>I'm cc'ing this message to the AToMMIB list, where issues relating
>to the DS1, DS3, SONET, and ATM documents are discussed.  May I
>suggest to each of the document editors to add an action item to
>put in some text saying that ifRcvAddressTable does not apply to
>those interfaces?  Please direct follow-up discussion on this issue
>to the atommib list.
>
>Regards,
>
>Mike
>

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

_______________________________________________
ifmib mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/ifmib